Monday, May 28, 2012

Episode 159 of RFC

The Big Bad, In The Company Of Wolves, Foz Rotten, “One Soldier, One Grave” And An Act Of Defiance Celebrated on RFC 159

May 28, 2012 by rudy panucci
That’s Radio Free Charleston 158, “Cap Seniors Shirt,” that you see at the head of this post.  This episode of the show is named after the controversial shirt that was all over the news last week.

We’ll tell you the story of the shirt at the end of these production notes. That will come after we tell you aout The Big Bad, In The Company of Wolves, Foz Rotten and Dennis Strom’s film, “One Soldier, One Grave.”

Our host-segment story is meaty tale of pointless defiance. But first, our guests this week…

Monday, May 21, 2012

Episode 158 of RFC

The Liquid Canvas of James Vernon Brown

May 21, 2012 by rudy panucci
RFC 158
JVB, himself
Radio Free Charleston’s 158th episode, “The Liquid Canvas,” is devoted to the work of Charleston filmmaker, musician, and artist James Vernon Brown. I first met James back in 2007, when we recorded the band Doctor Senator. James was playing bass and had also made several cool short films and music videos featuring the band.

James ended up leaving Doctor Senator and, at a jam session at The Blue Parrot one night, I heard him play guitar for the first time and was blown away with his David Gilmore meets Jimi Hendrix six-string pyrotechnics. I remember going up to him after hearing him play and asking “why the hell were you wasting your time playing bass?”

Monday, April 30, 2012

Episode 157 of RFC

The Color Purple, Godmode Brodway And A Plea

April 30, 2012 by rudy panucci
That’s Radio Free Charleston 157, “The Mighty Thor Shirt,” you see up there in the box above this text. This week we are bringing you three songs from the newest production by the Charleston Light Opera Guild, plus we have some new music from Godmode Broadway, and a heartfelt plea from The Tom McGees. Host segments were shot around The Charleston Civic Center.

The Charleston Civic Center Little Theater is the site of theCharleston Light Opera Guild production of the musical version of “The Color Purple.” The beloved novel by Alice Walker was turned into a Broadway musical a few years ago by Brenda Russell, Allee Willis and Stephen Bray, with a book by Marsha Norman, and it is the spring offering from Charleston’s Light Opera Guild, opening May 4.

Monday, April 16, 2012

Episode 156 of RFC

Funkadelic Zombie Ska Madness On RFC 156

April 16, 2012 by rudy panucci
Radio Free Charleston 156, “Warning Trioxin Shirt,” is posted above for your enjoyment. This week we have music from The Renfields and The Tom McGees, plus we have a terrific short docu-drama by Stephen Schmidt. But first, we have some corrections to do.

I’m pleading allergy-induced dementia for this. First, the Tom McGees’ song that I call “Be Smart” in the show, and “Be Strong” in the credits, is actually called “Enemy Spy Plane Inbound.” I know, it’s an easy mistake to make. Compounding the errors, I announce that The Tom McGees are playing the Porkchopp3D Trailer Release Party April 26 at The Empty Glass, when in fact it is our other musical guest, The Renfields, who are going to be playing that show. Aside from the two huge mistakes in the scripting process, I was really happy with the host segments, which were shot outside of Kanawha Players Theater, the location of this weekend’s Zombie Prom.

Monday, April 9, 2012

Episode 155 of RFC

The Amorous, Godmode Broadway, DualCore and Stark Charleston Embiggen RFC 155

April 9, 2012 by rudy panucci
"Love Robot" by Rebekie B
Above you see Radio Free Charleston 155, “Love Robot Shirt,” featuring music is from The Amorous,Godmode Broadway and Dual Core, plus the return of Stark Charleston. Host segments were shot in the parking lot of the WV Division of Tourism in South Charleston. Our title shirt is a TeeFury design by artist, Rebekie B.

Our first musical guest on this week’s show is Clarksburg’s The Amorous. An indie-pop band with spiritual leanings, they will be recording their first full-length album this summer. You can catch them next weekend in Wilmington and Bellbrook Ohio, and at the end of the month they’re doing a three-night stand at The Horizon’s Church in Lost Creek WV. We recorded the band live during Charcon last year, and assembled this video using audio enhanced with a studio recording.

Sunday, April 1, 2012

Episode 154 of RFC

James Bond In West Virginia On RFC 154

April 1, 2012 by rudy panucci
Steve E. Beckner as "Bond, James Bond"

“Adventure Comics Shirt” is a special episode of Radio Free Charleston, dedicated to presenting once-thought-lost scenes from The Lower West Virginia Contemporary Light Opera Stage Players film production of the James Bond film, “Coalfinger.” All prints of this film were destroyed after MGM,  EON Productions  and the Ian Fleming estate won a permanent injunction against the tiny, Southern West Virginia theater company Luckily, a few scenes were preserved in filmmaker Johnny Rock’s long-supressed documentary on the making of “Coalfinger.”

Monday, March 26, 2012

Episode 153 of RFC

WVSU Alumni All Stars And Jesus On RFC 153

March 26, 2012 by rudy panucci
Episode 153 of Radio Free Charleston, “Dr. Pepper Shirt,” is the video you see at the top of this post. This is a special episode, comprised entirely of rehearsal footage from two of this coming weekend’s events, The 2nd Annual Alumni All-Star Jam at WVSU, and the CYAC production of “Jesus Christ Superstar.”

I always feel sort of honored to be invited to bring the RFC cameras into a rehearsal because it means that the performers trust me to document their work-in-progress, warts and all. It’s a gutsy move, and a sign of confidence on the part of the artists involved.

Monday, March 19, 2012

Episode 152 of RFC

Metal, Ska and Soul Converge on RFC 152

March 19, 2012 by rudy panucci
Above you in this blog, you see RFC 153, “Machine of Madness Shirt,” with music from Linework, The Tom McGees and the team of Chad Foss and Sean Sydnor. There;s also a couple of weird short films and some animation, and Lee Harrah is on hand to plug an upcoming all-ages show.

Host segments were shot at various points on Charleston’s West Side. Our namesake shirt this week is “Machine of Madness,” by Heartjack. This design is a mash-up of Lovecraft and Big Daddy Roth, with Cthulu tooling around in a Hot Rod. Heartjack is also known as James Mitchell, and he has a graphic novel out that you can find here.

Monday, March 12, 2012

Episode 151 of RFC

Powerful Music On RFC 151 With Buddy Black, Prank Monkey And Karma To Burn

March 12, 2012 by rudy panucci

We are back into the thick of things with Radio Free Charleston 151, “The Tom McGees Shirt,” our first all-new episode of 2012! In this show, you will find music by Buddy Black, Johnny Compton with Prank Monkey and Karma To Burn We also get a preview of Danny Boyd’s graphic novel project, “Carbon.” 

Host segments were shot on a beautiful, windless, Sunday morning at Haddad Riverfront park. Our show is named after Charleston’s punk/ska band, The Tom McGees, and we have news about an upcoming show by them.

Monday, March 5, 2012

Episode 150 of RFC

Looking Back At LiveMix For RFC 150

March 5, 2012 by rudy panucci
It’s finally here, episode 150 of Radio Free Charleston. “Black Shirt” is a celebration of LiveMix Studio, our production partner without whom Radio Free Charleston would not exist. LiveMix is gone now, but in this episode, we revisit some of the incredible performances and speak with some of the musicians who helped make our first 150 episodes so special.

RFC Big Shot Brian Young, one of the owners of LiveMix, speaks extensively about recording some of the bands, while we also have comments from performers Raymond Wallace, Dave Roberts, Lee Harrah, Melanie Larch, and in archival footage, Tom Medvic and Dan Jordan of Feast of Stephen.